#VU24343 Cross-site request forgery in Amazon EC2


Published: 2020-01-16

Vulnerability identifier: #VU24343

Vulnerability risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-2090

CWE-ID: CWE-352

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Amazon EC2
Web applications / Modules and components for CMS

Vendor: Jenkins

Description

The vulnerability allows a remote attacker to perform cross-site request forgery attacks.

The vulnerability exists due to the form validation methods do not require POST requests. A remote attacker can trick the victim to visit a specially crafted web page and perform arbitrary actions on behalf of the victim on the vulnerable website.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

Amazon EC2: 1.0 - 1.47


CPE

External links
http://jenkins.io/security/advisory/2020-01-15/#SECURITY-1004


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability